glab(1)

NAME
glab-ci-status - View a running CI/CD pipeline on current or other branch specified.

SYNOPSIS
glab ci status [flags]

DESCRIPTION
View a running CI/CD pipeline on current or other branch specified.

OPTIONS
-b, --branch=""
    Check pipeline status for a branch. (default current branch)

-c, --compact[=false]
    Show status in compact format.

-l, --live[=false]
    Show status in real time until the pipeline ends.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    $ glab ci status --live
    # A more compact view
    $ glab ci status --compact
    # Get the pipeline for the main branch
    $ glab ci status --branch=main
    # Get the pipeline for the current branch
    $ glab ci status

SEE ALSO
glab-ci(1)